OpenJPEG 2.3.0

Macros | Functions | Variables
mqc.c File Reference
`#include "opj_includes.h"`
`#include <assert.h>`

## Macros
#define | BYPASS_CT_INIT 0xDEADBEEF

## Functions
OPJ_UINT32 | opj_mqc_numbytes (opj_mqc_t *mqc)
| Return the number of bytes written/read since initialisation. More...
void | opj_mqc_init_enc (opj_mqc_t *mqc, OPJ_BYTE *bp)
| Initialize the encoder. More...
void | opj_mqc_encode (opj_mqc_t *mqc, OPJ_UINT32 d)
| Encode a symbol using the MQ-coder. More...
void | opj_mqc_flush (opj_mqc_t *mqc)
| Flush the encoder, so that all remaining data is written. More...
void | opj_mqc_bypass_init_enc (opj_mqc_t *mqc)
| BYPASS mode switch, initialization operation. More...
void | opj_mqc_bypass_enc (opj_mqc_t *mqc, OPJ_UINT32 d)
| BYPASS mode switch, coding operation. More...
OPJ_UINT32 | opj_mqc_bypass_get_extra_bytes (opj_mqc_t *mqc, OPJ_BOOL erterm)
| Return number of extra bytes to add to opj_mqc_numbytes() for the² size of a non-terminating BYPASS pass. More...
void | opj_mqc_bypass_flush_enc (opj_mqc_t *mqc, OPJ_BOOL erterm)
| BYPASS mode switch, flush operation. More...
void | opj_mqc_reset_enc (opj_mqc_t *mqc)
| RESET mode switch. More...
void | opj_mqc_restart_init_enc (opj_mqc_t *mqc)
| RESTART mode switch (TERMALL) reinitialisation. More...
void | opj_mqc_erterm_enc (opj_mqc_t *mqc)
| ERTERM mode switch (PTERM) More...
void | opj_mqc_segmark_enc (opj_mqc_t *mqc)
| SEGMARK mode switch (SEGSYM) More...
static void | opj_mqc_init_dec_common (opj_mqc_t *mqc, OPJ_BYTE *bp, OPJ_UINT32 len, OPJ_UINT32 extra_writable_bytes)
void | opj_mqc_init_dec (opj_mqc_t *mqc, OPJ_BYTE *bp, OPJ_UINT32 len, OPJ_UINT32 extra_writable_bytes)
| Initialize the decoder for MQ decoding. More...
void | opj_mqc_raw_init_dec (opj_mqc_t *mqc, OPJ_BYTE *bp, OPJ_UINT32 len, OPJ_UINT32 extra_writable_bytes)
| Initialize the decoder for RAW decoding. More...
void | opq_mqc_finish_dec (opj_mqc_t *mqc)
| Terminate RAW/MQC decoding. More...
void | opj_mqc_resetstates (opj_mqc_t *mqc)
| Reset the states of all the context of the coder/decoder (each context is set to a state where 0 and 1 are more or less equiprobable) More...
void | opj_mqc_setstate (opj_mqc_t *mqc, OPJ_UINT32 ctxno, OPJ_UINT32 msb, OPJ_INT32 prob)
| Set the state of a particular context. More...
Local static functions
static void | opj_mqc_byteout (opj_mqc_t *mqc)
| Output a byte, doing bit-stuffing if necessary. More...
static void | opj_mqc_renorme (opj_mqc_t *mqc)
| Renormalize mqc->a and mqc->c while encoding, so that mqc->a stays between 0x8000 and 0x10000. More...
static void | opj_mqc_codemps (opj_mqc_t *mqc)
| Encode the most probable symbol. More...
static void | opj_mqc_codelps (opj_mqc_t *mqc)
| Encode the most least symbol. More...
static void | opj_mqc_setbits (opj_mqc_t *mqc)
| Fill mqc->c with 1's for flushing. More...

## Variables
static const opj_mqc_state_t | mqc_states [47 *2]

## Macro Definition Documentation

## ◆ BYPASS_CT_INIT

#define BYPASS_CT_INIT 0xDEADBEEF

Referenced by opj_mqc_bypass_enc(), and opj_mqc_bypass_init_enc().

## Function Documentation

## ◆ opj_mqc_init_dec_common()

static void opj_mqc_init_dec_common | ( | opj_mqc_t * | mqc,
|  | OPJ_BYTE * | bp,
|  | OPJ_UINT32 | len,
|  | OPJ_UINT32 | extra_writable_bytes
| ) |  |
| static

References opj_mqc::backup, opj_mqc::bp, opj_mqc::end, OPJ_COMMON_CBLK_DATA_EXTRA, and opj_mqc::start.

Referenced by opj_mqc_init_dec(), and opj_mqc_raw_init_dec().

## Variable Documentation

## ◆ mqc_states

const opj_mqc_state_t mqc_states[47 *2]
| static

Referenced by opj_mqc_resetstates().